<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Grid Exercises</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            font-family: Calibri;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        .container {
            width: 100%;
            height: 100%;
            display: grid;
            grid-template-columns: 250px auto;
            grid-template-rows: 250px 50px auto 75px;
        }

        header {
            background: lightpink;
        }

        #top-nav {
            background: burlywood;
        }

        #main-nav {
            background: chartreuse;
            grid-row: 1 / 5;
        }

        main {
            background: lightskyblue;
        }

        footer {
            background: blueviolet;
        }

        @media (max-width: 600px) {
            .container {
                grid-template-columns: auto;
                grid-template-rows: 100px 75px 100px auto 50px;
            }
            footer {
                grid-row: 2 / 3;
            }
            #top-nav {
                grid-row: 5 / 6;
            }
            #main-nav {
                grid-row: 3 / 4;
            }
        }
    </style>
</head>

<body>
    <div class="container">
        <header>Header</header>
        <nav id="top-nav">Top navigation</nav>
        <nav id="main-nav">Main navigation</nav>
        <main>Main</main>
        <footer>Footer</footer>
    </div>
</body>

</html>